Title: ./python -m unittest test.test_importlib doesn't work
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.2
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: michael.foord Nosy List: barry, berker.peksag, eric.araujo, ezio.melotti, michael.foord, python-dev, r.david.murray, terry.reedy
Priority: normal Keywords:

Created on 2010-04-05 15:36 by barry, last changed 2014-09-07 10:09 by berker.peksag. This issue is now closed.

Messages (6)
msg102377 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-04-05 15:36
Actually, ./python -m unittest test.test_email doesn't work either and those are two cases where the Lib/test module just forwards to the package's own test suite, so maybe that's the problem.
msg113023 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-05 19:14
I am just responding so this will not show up on the 'unanswered issues' list.
msg113053 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2010-08-05 20:54
I'd still like to see this fixed. Some of the features of regrtest will need to be implemented as plugins for unittest (but not many - a lot of the features of regrtest are already obsolete).
msg155676 - (view) Author: Roundup Robot (python-dev) Date: 2012-03-13 22:02
New changeset 217fdeeaf6e0 by R David Murray in branch 'default':
#8315: add automatic unittest test discovery in test.test_email
msg155677 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-03-13 22:05
I fixed this for test_email by adding automatic unit test discovery to test_email.__init__.

I believe it should be possible for a similar thing to do be done for test_importlib.
msg226532 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-09-07 10:09
test_importlib has been fixed in issue 22002.

    $ ./python -m unittest test.test_importlib

    Ran 963 tests in 1.533s

    OK (skipped=15, expected failures=1)
Date User Action Args
2014-09-07 10:09:56berker.peksagsetstatus: open -> closed

type: behavior

nosy: + berker.peksag
messages: + msg226532
resolution: out of date
stage: resolved
2012-03-13 22:32:46eric.araujosetnosy: + eric.araujo
2012-03-13 22:05:26r.david.murraysetnosy: + r.david.murray
messages: + msg155677
2012-03-13 22:02:39python-devsetnosy: + python-dev
messages: + msg155676
2010-11-09 15:48:22ezio.melottisetnosy: + ezio.melotti
2010-08-05 20:54:19michael.foordsetmessages: + msg113053
2010-08-05 19:14:44terry.reedysetnosy: + terry.reedy
messages: + msg113023
2010-04-05 15:36:31barrycreate